package com.jasamedika.medifirst2000.entities.constant;

/**
 * @author salmanoe
 * @version 1.0.0
 * @since 18/10/2024
 */
public enum KelompokPasienM {

	UMUM_PRIBADI(1), BPJS(2), ASURANSI_LAIN(3), PERUSAHAAN(5), PERJANJIAN(6), NON_BPJS(7), JAMINAN_KEMENKES(8), JAMKESDA(9);

	private final long id;

	KelompokPasienM(long id) {
		this.id = id;
	}

	public long id() {
		return this.id;
	}

	@Override
	public String toString() {
		return Long.toString(id);
	}

	public static KelompokPasienM valueOf(long id) {
		for (KelompokPasienM kelompokPasien : values()) {
			if (kelompokPasien.id == id) {
				return kelompokPasien;
			}
		}
		throw new IllegalArgumentException("No matching constant for [" + id + "]");
	}

}
